OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEPBase
StepShape

# StepShape_PlusMinusTolerance Class Reference

Added for Dimensional Tolerances
.

`#include <StepShape_PlusMinusTolerance.hxx>`

## Public Member Functions
Standard_EXPORT | StepShape_PlusMinusTolerance ()
Standard_EXPORT void | Init (const StepShape_ToleranceMethodDefinition &range, const StepShape_DimensionalCharacteristic &toleranced_dimension)
Standard_EXPORT StepShape_ToleranceMethodDefinition | Range () const
Standard_EXPORT void | SetRange (const StepShape_ToleranceMethodDefinition &range)
Standard_EXPORT StepShape_DimensionalCharacteristic | TolerancedDimension () const
Standard_EXPORT void | SetTolerancedDimension (const StepShape_DimensionalCharacteristic &toleranced_dimension)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
StepShape_ToleranceMethodDefinition | theRange
StepShape_DimensionalCharacteristic | theTolerancedDimension

## Constructor & Destructor Documentation

Standard_EXPORT StepShape_PlusMinusTolerance::StepShape_PlusMinusTolerance | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const StepShape_PlusMinusTolerance::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT void StepShape_PlusMinusTolerance::Init | ( | const StepShape_ToleranceMethodDefinition & | range,
|  | const StepShape_DimensionalCharacteristic & | toleranced_dimension
| ) |

Standard_EXPORT StepShape_ToleranceMethodDefinition StepShape_PlusMinusTolerance::Range | ( |  | ) | const

Standard_EXPORT void StepShape_PlusMinusTolerance::SetRange | ( | const StepShape_ToleranceMethodDefinition & | range | ) |

Standard_EXPORT void StepShape_PlusMinusTolerance::SetTolerancedDimension | ( | const StepShape_DimensionalCharacteristic & | toleranced_dimension | ) |

Standard_EXPORT StepShape_DimensionalCharacteristic StepShape_PlusMinusTolerance::TolerancedDimension | ( |  | ) | const

## Field Documentation

StepShape_ToleranceMethodDefinition StepShape_PlusMinusTolerance::theRange`[private]`

StepShape_DimensionalCharacteristic StepShape_PlusMinusTolerance::theTolerancedDimension`[private]`

The documentation for this class was generated from the following file:

- StepShape_PlusMinusTolerance.hxx